#
# spec file for package homeshick
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           homeshick
Version:        1.0.0
Release:        4.1
Summary:        Dotfile synchronizer based on Git and Bash
License:        MIT
Group:          Productivity/File utilities
Url:            https://github.com/andsens/homeshick
Source0:        https://github.com/andsens/homeshick/archive/%{version}.tar.gz
Source1:        README-openSUSE.md
Source99:       homeshick.rpmlintrc
Patch0:         default-location.patch
BuildRequires:  expect
BuildRequires:  git >= 1.5
BuildRequires:  iputils
BuildRequires:  tcsh
Requires:       bash >= 3
Requires:       git >= 1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} && 0%{?suse_version} > 1320
BuildRequires:  bats
BuildRequires:  fish
%endif

%description
In Unix, configuration files are king.  Tailoring tools to suit your needs
through configuration can be empowering.  An immense number of hours is spent
on getting these adjustments just right, but once you leave the confines of
your own computer, these local optimizations are left behind.

Homeshick is a tool for users to manage configuration files, also known as
dotfiles. It leverages Git repositories to store and version dotfiles, and to
synchronize dotfile repositories between accounts and/or machines.

For example, this allows installing large external frameworks (such as
oh-my-zsh, or a multitude of emacs or vim plugins) found on sites like
https://dotfiles.github.io/ alongside personal dotfiles without clutter.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{name}.sh %{name}.fish bin lib completions %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/bin/homeshick %{buildroot}%{_bindir}/%{name}
cp %{SOURCE1} .

%check
# only run tests if bats is available
if type bats &>/dev/null; then
	HOMESHICK_DIR=%{buildroot}%{_datadir}/%{name} bats test/suites
fi

%files
%defattr(-,root,root)
%doc README.md README-openSUSE.md LICENSE CONTRIBUTING.md
%{_datadir}/%{name}
%{_bindir}/homeshick

%changelog
* Tue May 26 2015 seroton10@gmail.com
- Upstream introduced version numbers; no change of content.
* Sun Apr 26 2015 seroton10@gmail.com
- Added README for openSUSE.
* Fri Apr 24 2015 seroton10@gmail.com
- Make homeshick command available by default
* Sun Apr 19 2015 seroton10@gmail.com
- PRs #135 and #138 accepted upstream, which allows running BATS
  tests in %%check section without patches.
* Mon Apr 13 2015 seroton10@gmail.com
- Latest obs_compat fixes, spec-cleaning.
* Sat Apr 11 2015 seroton10@gmail.com
- First build with running BATS tests
  * Based on development branch for required fix
* Sun Nov  9 2014 seroton10@gmail.com
- Initial version
